## libtricks 0.2-5

=== debian/changelog ===
libtricks (0.2-5) unstable frozen; urgency=low

  * minor fixes in the `trick-chroot', and `fakeroot' scripts.
  * minor documentation updates.
  * Speedup in trick-chktmp (basically bugfix :).
  * People saw bugs in the slink version, that, although I cannot
    reproduce them, I hope will be fixed by this 0.2-5 version, as
    it does fix loads of other problems. 
  
 -- joost witteveen <joostje@debian.org>  Thu,  3 Dec 1998 23:53:22 +0100

libtricks (0.2-4) unstable; urgency=low

  * Added './' to the `gen_errno_str' command in Makefile.am, so that the 
    make also works if `.' isn't in $PATH.
  * Some more comment improvements/updates.
  * writefile() function's fopen() now calls the fopen() from libc,
    not the wrapped fopen (caused problems!)
  * ':' and '::' chars can now really be inside quoted strings.
  * Minor impovements to `trick-chktmp' script.
  
 -- joost witteveen <joostje@debian.org>  Tue, 24 Nov 1998 22:15:24 +0100

libtricks (0.2-3) unstable; urgency=low

  * Within fakeroot, run as non-fakeroot: configure, gcc, ld, as, libtool
  * added comment for several functions  in libtricks.c.
  * Applied part of patch that came with Bug #29454.
  * mkdir() always OR-ed the mode with 0700, now it only does so for fakeroot.
  * fixed bug that causes `trick-logopen sh -c "ls /dev/*"`
    to segfault
  * Added fopen() and freopen() functions. (irrelevant for fakeroot).
  * If owner or group is specified as -1, then that ID is not
    any more changed (used to set user/group to -1).
  * Fixed some more places where env vars set to "" were seen as defined.
  * Removed wrapdef.h wrapstruct.h errno_str.h wrapped.h wraptmpf.h
    from the source archive (they are generated).
  
 -- joost witteveen <joostje@debian.org>  Wed, 18 Nov 1998 21:52:38 +0100

libtricks (0.2-2) unstable; urgency=low

  * trick-{chroot,chktmp,logopen} have an extra --libpath option, to
    specify the location of the libtricks lib to use.

  * Added $PID and $cmd `variables', for use in string arguments of 
    stdout(), syslog() etc. functions in VPATH
  
  * made parsing of VPATH somewhat more sane. Now spaces can appear
    in pleaces where you want, and in strings chars like ':', '=', ')'
    can be used.
    
 -- joost witteveen <joostje@debian.org>  Sun,  8 Nov 1998 22:26:28 +0100

libtricks (0.2-1) unstable; urgency=low

  * Added example scripts trick-chroot, trick-chktmp, trick-logopen.
  * added writefile("filename","data") function.
  * Inside fakeroot, `chroot' now works (alongside `su').
  * added return(ERRNO) function
  * Envirnoment variables that are set to "" are now treated as
    unset.
  * New env var VPATHSYMLINK that controls whether the VPATH
    affected files are shown as symlinks or not. Changed default
    to `don't show as symlink'.
  * Removed the shlibs file altogether, as dpkg-shlibdeps isn't run
    with LD_PRELOAD set (I specially remove that env var before running
    dpkg-shlibdeps. See comment in /usr/bin/fakeroot for how to do that).
 -- joost witteveen <joostje@debian.org>  Sat,  7 Nov 1998 16:55:18 +0100

libtricks (0.1-10) frozen; urgency=low

  * Oh, hell. The inode count wasn't set in the faked data structures,
    causing the unlink() calls to go unnoticed. Fixes: 28751

 -- joost witteveen <joostje@debian.org>  Sat, 31 Oct 1998 20:42:37 +0100

libtricks (0.1-9) frozen; urgency=low

  * Somewhat improved the README file (corrected errors, and is now
    slightly less unclear).
  * Fixed handling of fake/non-fake uid/gid's. (in -8 it was the wrong way
    around, the ID's were not fake in fakeroot, while they were
    fake(=root/0) in normal libtricks code).
  * the `check' function in VPATH wasn't even recognised. Fixed.
  * Removed the line in the description saying that libtricks probably
    doesn't work. It seems to work reasonably OK now.
  
 -- joost witteveen <joostje@debian.org>  Thu, 22 Oct 1998 21:38:57 +0200

libtricks (0.1-8) unstable; urgency=low

  * Added manual page for detrick (for lintian)
  * Added manual page for faked (for lintian)

 -- joost witteveen <joostje@debian.org>  Tue, 20 Oct 1998 22:35:10 +0200

libtricks (0.1-7) unstable; urgency=low

  * many of the wrapped functions still assumed they were always supposed
    to communicate with faked. As libtricks can also be used without
    fakeroot, this is no longer true. Fixed in many places.

 -- joost witteveen <joostje@debian.org>  Fri, 16 Oct 1998 17:29:16 +0200

libtricks (0.1-6) unstable; urgency=low

  * the wrapped opendir() now returns NULL for non-existing directories. Fixed.
  * environment variable `FAKEROOTGID' is now used for the faked group id,
    rather than `FAKEROOTUID'.
  * added environment variable `FAKEROOTDONTTRYCHOWN', that if set will cause
    fakeroot (libtricks) not to chown any file on disk (but if fakeroot is
    is used, the chown will just be remembered by the fakeroot-daemon).
    This adresses the issue raised in bugreport 13887.
  
 -- joost witteveen <joostje@debian.org>  Sun, 13 Sep 1998 18:21:53 +0200

libtricks (0.1-5) unstable; urgency=low

  * Fixed several memory-leaks (innocent ones, tough), and an unassigned
    variable problem,
  * minor updates to `DEBUG' (info file), README, 
  * Fixed an uninitialised varable problem in the `GNU Make compat' code,
    fixing the remaining bug mentioned in the 0.1-4 release.
  * Added libtricks.1 manual page/
 -- joost witteveen <joostje@debian.org>  Sat, 15 Aug 1998 14:58:11 +0200

libtricks (0.1-4) unstable; urgency=low

  * Fixed bug where second vpath element was treated as first if the
    first didn't have an '='.
  * the chop now has an implicit "^" anchor.
  * moved usr/bin/libtricks/su to usr/lib/libtricks/su.
  * DON'T set the nlinks value! (I'm sure I've also seen this bug in
    fakeroot...). This was what caused the debhelper problems.
  * Fixed several bugs that related to the `GNU-make compat' mode.
    However, it still isn't working right (see top of README).
  

