=== debian/control ===
Source: libtricks
Section: utils
Priority: optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 2.4.1.0

Package: libtricks
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: fakeroot
Replaces: fakeroot
Description: Tricks with shared libs: transparent VPATH and Fake root priv.
 With libtricks you can: 
  1) Have your VPATH understood not just by GNUmake, but _every_ program,
  2) Fake root privileges (useful for building Debian packages as non-root)
  3) Create warnings for suspicious writes to /tmp,
  4) Use your imagination to do a _lot_ more (make your CD-ROM appear 
     writable, ...).
 The VPATH implemented in libtricks is a _lot_ more general than that of
 GNU make. The VPATH mechanism works for open()-ed files, but also
 for exec(), chown(), etc. What directories are searched when you
 do a open(filename) can be made to depend on (amongs others): 
   - Whether the filename matches a certain regular expression,
   - The mode the file is opened with,
   - The filemode in the searched dir ('skip files that are read-only etc')
 The fakeroot implemented in libtricks is directly derived from the older
 debian fakeroot package (but much smaller, faster, easier to debug, ...)
 .
 If you don't understand any of this, you do not need libtricks!
