=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libtricks, adopted form sample debian/rules file for 
# dh_helper. GNU copyright 1997 by Joey Hess.
# Adopted by joost witteveen.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

#	autoconfig
#	automake
	./configure
	$(MAKE)    CFLAGS="-g -O2 -Wall -W -pedantic"\
	         CXXFLAGS="-g -O2 -Wall -W -pedantic"


	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
#	 Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -rf .deps

	dh_clean
#	 Sorry, I always create files with name '2' (stderr output).
	rm -f 2

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#	 Add here commands to install the files into debian/tmp
	$(MAKE)   CFLAGS="-g -O2 -Wall -W -pedantic"\
	        CXXFLAGS="-g -O2 -Wall -W -pedantic"\
		prefix=`pwd`/debian/tmp/usr install
	install -m 0755 fake/fakeroot debian/tmp/usr/bin/
	install -m 0755 scripts/trick-chroot  \
	                scripts/trick-chktmp  \
	                scripts/trick-logopen \
	                 debian/tmp/usr/bin/
	mkdir -p debian/tmp/usr/doc/libtricks \
	         debian/tmp/usr/lib/libtricks/bin|| true
	cp README DEBUG debian/tmp/usr/doc/libtricks
	( echo "This package was written and put togeter by me, "; \
	  echo "joost witteveen <joostje@debian.org>"            ; \
	  echo "------------------------------------------------"; \
	  cat COPYING) > debian/tmp/usr/doc/libtricks/copyright
	rm -f debian/tmp/usr/lib/libtricks/libtricks.so
#	strip debian/tmp/usr/lib/libtricks/libtricks.so.0.0.1 
#	strip debian/tmp/usr/bin/faked
	install -m 0755 fake/rm_preload fake/su fake/chroot  \
	    debian/tmp/usr/lib/libtricks/bin
	ln -s rm_preload debian/tmp/usr/lib/libtricks/bin/dpkg-shlibdeps 
	ln -s rm_preload debian/tmp/usr/lib/libtricks/bin/configure
	ln -s rm_preload debian/tmp/usr/lib/libtricks/bin/gcc
	ln -s rm_preload debian/tmp/usr/lib/libtricks/bin/ld
	ln -s rm_preload debian/tmp/usr/lib/libtricks/bin/as
	ln -s rm_preload debian/tmp/usr/lib/libtricks/bin/libtool
	libtool --finish debian/tmp/usr/lib/libtricks
	rm  debian/tmp/usr/lib/libtricks/*a
#	mv debian/tmp/usr/lib/libtricks.* debian/tmp/usr/lib/libtricks/
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
#	gzip -9v debian/tmp/usr/doc/libtricks/changelog.Debian \
#	            debian/tmp/usr/man/man1/fakeroot.1 \
#		    
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps || bash
	dh_gencontrol
#	dh_makeshlibs
#	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

# Local Variables:
# mode: Makefile
# End
